## golang-github-kyoh86-xdg 1.2.0

=== Makefile ===
.PHONY: gen lint test sample

VERSION := `git vertag get`
COMMIT  := `git rev-parse HEAD`

gen:
	go generate ./...

lint: gen
	golangci-lint run

test: lint
	go test -v --race ./...

sample:
	go run -tags=sample ./cmd/xdg-sample/main.go

=== debian/changelog ===
golang-github-kyoh86-xdg (1.2.0-2) unstable; urgency=medium

  * Source only upload for testing migration  

 -- Karthik <kskarthik@disroot.org>  Mon, 20 Apr 2020 17:17:15 +0530

golang-github-kyoh86-xdg (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #956892)

 -- Karthik <kskarthik@disroot.org>  Thu, 16 Apr 2020 16:44:26 +0530

=== debian/control ===
Source: golang-github-kyoh86-xdg
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Karthik <kskarthik@disroot.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kyoh86-xdg
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kyoh86-xdg.git
Homepage: https://github.com/kyoh86/xdg
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/kyoh86/xdg

Package: golang-github-kyoh86-xdg-dev
Architecture: all
Depends: ${misc:Depends}
Description: helper functions in golang to get xdg config, data and cache files
 Light weight helper functions in golang to get xdg config, data,cache and some
 user directories according to the XDG Base Directory and XDG User Directory
 Specification.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-kyoh86-xdg-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/kyoh86/xdg/tags .*/v?(\d\S*)\.tar\.gz debian
